Bug 1339315 - [[MiqPassword::MiqPasswordError]: can not decrypt v0_key encrypted string] encountered during phase [prepare_provision]
Summary: [[MiqPassword::MiqPasswordError]: can not decrypt v0_key encrypted string] en...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.5
Assignee: Drew Bomhof
QA Contact: Taras Lehinevych
URL:
Whiteboard: provisioning
Depends On: 1334684
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 16:42 UTC by John Prause
Modified: 2017-08-30 01:31 UTC (History)
6 users (show)

Fixed In Version: 5.5.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1334684
Environment:
Last Closed: 2016-07-26 15:34:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 1 CFME Bot 2016-06-14 19:07:05 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d524854111e3a006958c0d562820490405742d1b

commit d524854111e3a006958c0d562820490405742d1b
Author:     Drew Bomhof <dbomhof@redhat.com>
AuthorDate: Mon Jun 13 16:50:04 2016 -0400
Commit:     Drew Bomhof <dbomhof@redhat.com>
CommitDate: Mon Jun 13 16:50:04 2016 -0400

    Allow a block to be passed to MiqProvisionVirtWorkflow#initialize
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1339315
    
    This allows us to ensure password_helper is called twice
    1. Decrypt passwords for Automate Requests
    2. ReEncrypt passwords after the provision is finished
    
    If a block isn't passed into the class - it will respond as normal
    
    PR: https://github.com/ManageIQ/manageiq/pull/8665

 app/models/miq_request_workflow.rb       |  2 +-
 app/models/mixins/miq_provision_mixin.rb | 91 +++++++++++++++++++-------------
 2 files changed, 55 insertions(+), 38 deletions(-)

Comment 2 CFME Bot 2016-06-14 19:07:09 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=76d94407c996f8e63d5835dde365aed5a75c7bcb

commit 76d94407c996f8e63d5835dde365aed5a75c7bcb
Merge: 0bebd66 9542f65
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 14 15:01:46 2016 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Jun 14 15:01:46 2016 -0400

    Merge branch '5.5.z_force_reencrypt' into '5.5.z'
    
    Allow a block to be passed to MiqProvisionVirtWorkflow#initialize
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1339315
    
    This allows us to ensure password_helper is called twice
    1. Decrypt passwords for Automate Requests
    2. ReEncrypt passwords after the provision is finished
    
    If a block isn't passed into the class - it will respond as normal
    
    PR: https://github.com/ManageIQ/manageiq/pull/8665
    
    Cherry Pick was not clean
    
    See merge request !964

 app/models/miq_request_workflow.rb              |  2 +-
 app/models/mixins/miq_provision_mixin.rb        | 87 ++++++++++++++-----------
 spec/models/miq_provision_spec.rb               |  2 +-
 spec/models/miq_provision_virt_workflow_spec.rb | 18 +++++
 spec/models/miq_request_spec.rb                 | 14 ++++
 5 files changed, 84 insertions(+), 39 deletions(-)

Comment 4 Taras Lehinevych 2016-07-07 15:54:02 UTC
Verified in 5.5.5.0

Comment 6 errata-xmlrpc 2016-07-26 15:34:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.